Bug 963153 - E [socket.c:2790:socket_connect] 0-management: connection attempt on /var/run/08421e3828f08de5bb681291123cdf10.socket failed, (Connection refused)
E [socket.c:2790:socket_connect] 0-management: connection attempt on /var/run...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: rpc (Show other bugs)
mainline
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 959208
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 05:28 EDT by Pranith Kumar K
Modified: 2014-02-18 06:21 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 959208
Environment:
Last Closed: 2013-07-24 14:01:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-05-15 05:33:27 EDT
REVIEW: http://review.gluster.org/5009 (mgmt/glusterd, socket: Change logging for brick disconnects) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Anand Avati 2013-06-10 05:00:23 EDT
REVIEW: http://review.gluster.org/5009 (mgmt/glusterd, socket: Change logging for brick disconnects) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 3 Anand Avati 2013-06-11 10:52:50 EDT
COMMIT: http://review.gluster.org/5009 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 328ea4b16a276b0e65ca719f60b82ce851dda848
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed May 15 14:46:57 2013 +0530

    mgmt/glusterd, socket: Change logging for brick disconnects
    
    For unix path based sockets, the socket path is
    cryptic (md5sum of path) and may not be useful for
    the user in debugging so log it in DEBUG.
    
    Changed logging in brick_rpc_notify to log brickinfo
    for disconnects.
    
    Change-Id: I69174bbbbde8352d38837723e950ad8fc15232aa
    BUG: 963153
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5009
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 4 Anand Avati 2014-02-18 06:21:08 EST
REVIEW: http://review.gluster.org/7031 (rpc/socket: Avoid excessive INFO logs when SSL is not configured.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.